textures/hellarena_rc1/bridge
{
	cull none
	qer_editorimage textures/hellarena_rc1/bridge.tga
	qer_trans 0.5
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nolightmap
	{
		map textures/hellarena_rc1/bridge.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/hellarena_rc1/fence
{
	qer_editorimage textures/hellarena_rc1/fence.tga
	qer_trans 0.5
	{
		map textures/hellarena_rc1/fence.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/hellarena_rc1/glass_blue
{
	cull none
	qer_editorimage textures/hellarena_rc1/glass_blue.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellarena_rc1/glass_blue.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/glass_green
{
	cull none
	qer_editorimage textures/hellarena_rc1/glass_green.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellarena_rc1/glass_green.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/glass_pink
{
	cull none
	qer_editorimage textures/hellarena_rc1/glass_pink.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/hellarena_rc1/glass_pink.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/ice
{
	surfaceparm nolightmap
	surfaceparm slick
	{
		map textures/hellarena_rc1/ice.tga
		rgbgen identity
	}
}

textures/hellarena_rc1/portal
{
	surfaceparm lightfilter
	surfaceparm nolightmap
	{
		clampmap textures/hellarena_rc1/portal.tga
		blendfunc blend
		rgbGen identity
		tcMod rotate 900
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

textures/hellarena_rc1/red
{
	qer_editorimage textures/hellarena_rc1/red.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/hellarena_rc1/red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/roller
{
	surfaceparm nolightmap
	{
		map textures/hellarena_rc1/roller.tga
		rgbgen identity
	}
}

textures/hellarena_rc1/roof:q3map
{
	surfaceparm slick
}

textures/hellarena_rc1/skybox
{
	qer_editorimage textures/hellarena_rc1/skybox.tga
	q3map_skylight 10 5
	q3map_sunExt 0.9 0.9 0.9 200 340 30 5 16
	skyparms env/hellarena/hellarena 512 -
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
}

textures/hellarena_rc1/slime
{
	cull none
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.2
		blendFunc blend
		rgbgen identity
		tcmod scroll 0.01 -0.0173
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.2
		blendFunc blend
		rgbgen identity
		tcmod scroll 0.01 0.0173
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.2
		blendFunc blend
		rgbgen identity
		tcmod scroll -0.02 0
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/slimefall1
{
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.0001
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.0347
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 1.0174
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/slimefall2
{
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.13
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.1646
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 1.1473
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/slimefall3
{
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.3534
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.388
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 1.3707
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/slimefall4
{
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.6327
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.6673
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 1.65
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/slimefall5
{
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.9442
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.9788
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 1.9615
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/slimefall6
{
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 2.2748
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 2.3094
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 2.2921
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/slimefall7
{
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 2.6174
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 2.652
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 2.6347
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/slimefall8
{
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 2.9677
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 3.0023
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 2.985
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/slimefall9
{
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 3.3234
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 3.358
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 3.3407
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/slimefall10
{
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 3.6829
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 3.7175
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 3.7002
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/slimeflow
{
	cull none
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 0.9827
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 1.0173
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 1
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/slimeflow2
{
	cull none
	qer_editorimage textures/hellarena_rc1/slime2.tga
	qer_nocarve
	qer_trans 0.4
	q3map_surfacelight 1600
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	{
		map textures/hellarena_rc1/slime1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 0.4827
	}
	{
		map textures/hellarena_rc1/slime2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 0.5173
	}
	{
		map textures/hellarena_rc1/slime3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 0.5
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/trapbrick
{
	cull none
	qer_editorimage textures/hellarena_rc1/brick.tga
	qer_trans 0.4
	surfaceparm nonsolid
	{
		map textures/hellarena_rc1/brick.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/trapconcrete
{
	cull none
	qer_editorimage textures/hellarena_rc1/concrete.tga
	qer_trans 0.4
	surfaceparm nonsolid
	{
		map textures/hellarena_rc1/concrete.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/trapdirt
{
	cull none
	qer_editorimage textures/hellarena_rc1/dirt.tga
	qer_trans 0.4
	surfaceparm nonsolid
	{
		map textures/hellarena_rc1/dirt.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/traproller
{
	cull none
	qer_editorimage textures/hellarena_rc1/roller.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/hellarena_rc1/roller.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/hellarena_rc1/water
{
	cull none
	qer_editorimage textures/hellarena_rc1/water2.tga
	qer_nocarve
	qer_trans 0.5
	q3map_fancywater 1 0.275 0.584 0.522
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	{
		map textures/hellarena_rc1/water1.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 -0.0173
	}
	{
		map textures/hellarena_rc1/water2.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll 0.01 0.0173
	}
	{
		map textures/hellarena_rc1/water3.tga
		alphaGen const 0.15
		blendFunc blend
		tcmod scroll -0.02 0
	}
	{
		map $lightmap
		blendfunc filter
	}
}